macro(find_sofa_plugins)
  set(plugin_dir ${CMAKE_SOURCE_DIR}/applications/plugins/)
  if(EXISTS ${plugin_dir})
    file(GLOB plugins "${plugin_dir}*")
    foreach(plugin ${plugins})
      if(IS_DIRECTORY ${plugin} AND EXISTS ${plugin}/CMakeLists.txt)
        message(STATUS "Found plugin: ${plugin}")
        include_directories(${plugin})
        add_subdirectory(${plugin})
      endif()
    endforeach()
  endif()
endmacro()